Bug 173881 - Can't edit menu as normal user
Can't edit menu as normal user
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 22:01 EST by Brandon Amaro
Modified: 2008-03-09 17:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 17:10:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Amaro 2005-11-21 22:01:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
For some reason, I can't edit the GNOME menus as my normal user.  All the changes I make are never saved.  However, if I run it as the root user, I can.  This is kind of an annoyance for WINE users that want to put the programs they installed with WINE into the menu.

Version-Release number of selected component (if applicable):
alacarte-0.8-1

How reproducible:
Always

Steps to Reproduce:
1. Open alacarte as a normal user
2. Make some changes like add a menu or item
3. Close alacarte
  

Actual Results:  Changes not saved

Expected Results:  Changes to be saved.

Additional info:
Comment 1 John Mahowald 2005-11-30 13:26:30 EST
Works for me.

What exact changes reproduce it for you? Does changing visibility work, adding a
menu, adding an item?

Also launch it from a termainal and include any errors.
Comment 2 Brandon Amaro 2005-11-30 23:18:05 EST
I haven't tried visibility.  I've only triede to add menus and items.  Here's
what I got when I tried to add a WINE menu with an item in it:

[omega13a@localhost ~]$ alacarte

(alacarte:4246): libglade-WARNING **: unknown property `urgency_hint' for class
`GnomeApp'

(alacarte:4246): libglade-WARNING **: unknown property `pack_direction' for
class `GtkMenuBar'

(alacarte:4246): libglade-WARNING **: unknown property `child_pack_direction'
for class `GtkMenuBar'

(alacarte:4246): libglade-WARNING **: unknown property `urgency_hint' for class
`GtkDialog'

(alacarte:4246): libglade-WARNING **: unknown property `urgency_hint' for class
`GtkDialog'

(alacarte:4246): libglade-WARNING **: unknown property `urgency_hint' for class
`GtkDialog'

(alacarte:4246): libglade-WARNING **: unknown property `urgency_hint' for class
`GtkDialog'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/Alacarte/GnomeFront.py", line 369, in
on_filenewmenu_activate
    self.save()
  File "/usr/lib/python2.4/site-packages/Alacarte/GnomeFront.py", line 321, in save
    self.app_handler.save()
  File "/usr/lib/python2.4/site-packages/Alacarte/PyXDGMenuHandler.py", line
153, in save
    xdg.MenuEditor.MenuEditor.save(self)
  File "/usr/lib/python2.4/site-packages/xdg/MenuEditor.py", line 61, in save
    self.__saveEntries(self.menu)
  File "/usr/lib/python2.4/site-packages/xdg/MenuEditor.py", line 316, in
__saveEntries
    self.__saveEntries(entry)
  File "/usr/lib/python2.4/site-packages/xdg/MenuEditor.py", line 311, in
__saveEntries
    menu.Directory.save()
  File "/usr/lib/python2.4/site-packages/xdg/Menu.py", line 402, in save
    self.DesktopEntry.write()
  File "/usr/lib/python2.4/site-packages/xdg/IniFile.py", line 278, in write
    os.makedirs(os.path.dirname(filename))
  File "/usr/lib/python2.4/os.py", line 156, in makedirs
    makedirs(head, mode)
  File "/usr/lib/python2.4/os.py", line 159, in makedirs
    mkdir(name, mode)
OSError: [Errno 13] Permission denied: '/home/omega13a/.local/share'

(alacarte:4246): GLib-GObject-CRITICAL **: g_signal_handler_block: assertion
`handler_id > 0' failed

(alacarte:4246): GLib-GObject-CRITICAL **: g_signal_handler_unblock: assertion
`handler_id > 0' failed

(alacarte:4246): GLib-GObject-CRITICAL **: g_signal_handler_block: assertion
`handler_id > 0' failed

(alacarte:4246): GLib-GObject-CRITICAL **: g_signal_handler_unblock: assertion
`handler_id > 0' failed
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/Alacarte/GnomeFront.py", line 347, in
on_filenewentry_activate
    self.save()
  File "/usr/lib/python2.4/site-packages/Alacarte/GnomeFront.py", line 321, in save
    self.app_handler.save()
  File "/usr/lib/python2.4/site-packages/Alacarte/PyXDGMenuHandler.py", line
153, in save
    xdg.MenuEditor.MenuEditor.save(self)
  File "/usr/lib/python2.4/site-packages/xdg/MenuEditor.py", line 61, in save
    self.__saveEntries(self.menu)
  File "/usr/lib/python2.4/site-packages/xdg/MenuEditor.py", line 316, in
__saveEntries
    self.__saveEntries(entry)
  File "/usr/lib/python2.4/site-packages/xdg/MenuEditor.py", line 311, in
__saveEntries
    menu.Directory.save()
  File "/usr/lib/python2.4/site-packages/xdg/Menu.py", line 402, in save
    self.DesktopEntry.write()
  File "/usr/lib/python2.4/site-packages/xdg/IniFile.py", line 278, in write
    os.makedirs(os.path.dirname(filename))
  File "/usr/lib/python2.4/os.py", line 156, in makedirs
    makedirs(head, mode)
  File "/usr/lib/python2.4/os.py", line 159, in makedirs
    mkdir(name, mode)
OSError: [Errno 13] Permission denied: '/home/omega13a/.local/share'
Comment 3 Christian Iseli 2007-01-17 18:19:28 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 4 petrosyan 2008-03-09 17:10:34 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.